Bug 137966 - CAN-2004-0974 temporary file vulnerabilities in etc2ps.sh
CAN-2004-0974 temporary file vulnerabilities in etc2ps.sh
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: netatalk (Show other bugs)
2
All Linux
medium Severity low
: ---
: ---
Assigned To: Charlie Bennett
public=20040930,impact=low
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-03 08:30 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-06 15:20:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (557 bytes, patch)
2004-11-03 08:31 EST, Mark J. Cox (Product Security)
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2004-11-03 08:30:04 EST
On September 10th 2004, Trustix shared some temporary file
vulnerabilities with vendor-sec.  After some refinement these were
made public on Sep30.  These are minor issues (impact: LOW) 

Temporary file vulnerability in etc2ps.sh  Patch attached.  These
issues also affect FC3.
Comment 1 Mark J. Cox (Product Security) 2004-11-03 08:31:18 EST
Created attachment 106118 [details]
Proposed patch
Comment 2 Charles Dostale 2004-11-04 11:31:48 EST
This is fixed upstream in netatalk 1.6.4a.

Please consider netatalk 2.0.1 for FC4, it supports file names longer
than 31 characters.
Comment 3 Charlie Bennett 2004-12-06 15:20:14 EST
Update released for FC2 (#505) and FC3 (#506).

Note You need to log in before you can comment on or make changes to this bug.